```diff
diff --git a/TeeChart.PCL.NET5/TeeChart.WinForm/Editors/AxesEditor.cs b/TeeChart.PCL.NET5/TeeChart.WinForm/Editors/AxesEditor.cs
index f9a96d8b..4e1e0645 100644
--- a/TeeChart.PCL.NET5/TeeChart.WinForm/Editors/AxesEditor.cs
+++ b/TeeChart.PCL.NET5/TeeChart.WinForm/Editors/AxesEditor.cs
@@ -418,6 +418,8 @@ namespace Steema.TeeChart.Editors
                     lbAxes.Items.Add("SubAxes " + iSubAxes.IndexOf(a).ToString());
 
                 lbAxes.SelectedIndex = lbAxes.Items.Count > 0 ? 0 : -1;
+
+                if (lbAxes.SelectedIndex == -1) axisEditor.Enabled = false;
             }
             else
             {
diff --git a/TeeChart.PCL.NET5/TeeChart.WinForm/Editors/AxisEditor.cs b/TeeChart.PCL.NET5/TeeChart.WinForm/Editors/AxisEditor.cs
index 7a3f98df..8129f3d7 100644
--- a/TeeChart.PCL.NET5/TeeChart.WinForm/Editors/AxisEditor.cs
+++ b/TeeChart.PCL.NET5/TeeChart.WinForm/Editors/AxisEditor.cs
@@ -122,6 +122,7 @@ namespace Steema.TeeChart.Editors
         {
             if (axis != null)
             {
+                Enabled = true;
                 tabControl1_SelectedIndexChanged(this, EventArgs.Empty);
             }
         }
@@ -135,6 +136,7 @@ namespace Steema.TeeChart.Editors
             if (isSubAxis)
             {
                 tabSubAxes.Parent = null;
+                Enabled = axis != null;
             }
         }
 
diff --git a/TeeChart/Editors/AxesEditor.cs b/TeeChart/Editors/AxesEditor.cs
index 7cbc26b8..0234dc58 100644
--- a/TeeChart/Editors/AxesEditor.cs
+++ b/TeeChart/Editors/AxesEditor.cs
@@ -427,6 +427,8 @@ namespace Steema.TeeChart.Editors
                     lbAxes.Items.Add("SubAxes " + iSubAxes.IndexOf(a).ToString());
 
                 lbAxes.SelectedIndex = lbAxes.Items.Count > 0 ? 0 : -1;
+
+                if (lbAxes.SelectedIndex == -1) axisEditor.Enabled = false;
             }
             else
             {
diff --git a/TeeChart/Editors/AxisEditor.cs b/TeeChart/Editors/AxisEditor.cs
index d5af8ab1..ff206df3 100644
--- a/TeeChart/Editors/AxisEditor.cs
+++ b/TeeChart/Editors/AxisEditor.cs
@@ -124,6 +124,7 @@ namespace Steema.TeeChart.Editors
         {
             if (axis != null)
             {
+                Enabled = true;
                 tabControl1_SelectedIndexChanged(this, EventArgs.Empty);
             }
         }
@@ -137,6 +138,7 @@ namespace Steema.TeeChart.Editors
             if (isSubAxis)
             {
                 tabSubAxes.Parent = null;
+                Enabled = axis != null;
             }
         }
```		
 
